package com.iqser.red.service.persistence.management.v1.processor.utils;

import java.util.function.BiConsumer;

import com.iqser.red.service.persistence.service.v1.api.shared.model.TypeValue;
import com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.type.Type;

public class TypeValueMapper implements BiConsumer<Type, TypeValue> {

    @Override
    public void accept(Type type, TypeValue typeValue) {

        typeValue.setTypeId(type.getId());
        typeValue.setHint(type.isHint());
        typeValue.setCaseInsensitive(type.isCaseInsensitive());
        typeValue.setRecommendation(type.isRecommendation());
        typeValue.setSystemManaged(type.isSystemManaged());
        typeValue.setDossierTemplateId(type.getDossierTemplateId());

    }

}
